Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseTraversers

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers

Direct Known Subclasses:
  DTMDefaultBaseIterators

public abstract class DTMDefaultBaseTraversers
extends DTMDefaultBase

This class implements the traversers for DTMDefaultBase. PLEASE NOTE that the public interface for all traversers should be in terms of DTM Node Handles... but they may use the internal node identity indices within their logic, for efficiency's sake. Be very careful to avoid confusing these when maintaining this code.

Constructor Summary
`DTMDefaultBaseTraversers(DTMManager mgr, Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing)` Construct a DTMDefaultBaseTraversers object from a DOM node.

Method Summary
`DTMAxisTraverser` | `getAxisTraverser(int axis)` This returns a stateless "traverser", that can navigate over an XPath axis, though perhaps not in document order.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, documentRegistration, documentRelease, dumpDTM, dumpNode, getAttributeNode, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentRoot, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTMIDs, getElementById, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLocalName, getLocalNameFromExpandedNameID, getManager, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getStringValue, getStringValueChunk, getStringValueChunkCount, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, setDocumentBaseURI, setFeature, supportsPreStripping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseTraversers

    public DTMDefaultBaseTraversers(DTMManager mgr,
                                    Source source,
                                    int dtmIdentity,
                                    DTMWSFilter whiteSpaceFilter,
                                    XMLStringFactory xstringfactory,
                                    boolean doIndexing)

  Construct a DTMDefaultBaseTraversers object from a DOM node.
  Parameters:
    `mgr` - The DTMManager who owns this DTM.
    `domSource` - the DOM source that this DTM will wrap.
    `source` - The object that is used to specify the construction source.
    `dtmIdentity` - The DTM identity ID for this DTM.
    `whiteSpaceFilter` - The white space filter for this DTM, which may be null.
    `xstringfactory` - The factory to use for creating XMLStrings.
    `doIndexing` - true if the caller considers it worth it to use indexing schemes.

Method Detail

### getAxisTraverser

    public DTMAxisTraverser getAxisTraverser(int axis)

  This returns a stateless "traverser", that can navigate over an XPath axis, though perhaps not in document order.
  Parameters:
    `axis` - One of Axes.ANCESTORORSELF, etc.
  Returns:
    A DTMAxisTraverser, or null if the given axis isn't supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.